1. Subscriptions
  • Welcome to the Cold Mail Reseller API
  • Get Started
    • Overview
    • Authentication
    • Quick Start
  • Core Concepts
    • Users
    • Domains
    • DNS Management
    • Mailboxes
    • Subscriptions
    • Pre-Warmup
    • Domain Renewal
    • 1+ Year Subscriptions
    • Mailbox Warmup
    • Platform Exports
    • OAuth Exports
    • Sandbox API
  • API Reference
    • Users
      • List Users
      • Get User
      • Create User
      • Update User
      • Delete User
    • Geo
      • List Countries
      • List States
    • Domains
      • Domain Renewal
        • Get Domain Renewal Prices
        • Renew Domains
        • Toggle Domain Auto-Renew
      • Get Domains by User
      • Check Domain Availability
      • Check Single Domain Availability
      • Check Workspace Existence
      • Set Domain Forwarding
      • Set Email Forwarding
      • Delete Domains
    • DNS
      • Get DNS Records
      • Add DNS Records
      • Update DNS Record
      • Update Nameservers
      • Delete DNS Record
    • Mailboxes
      • List Mailboxes
      • Get Mailboxes by User
      • Get Mailbox
      • Get Admin Mailbox Details
      • Update Mailbox Details
      • Delete Mailbox
    • Mailbox Warmup
      • Add Warmup to Mailbox
      • Toggle Warmup
      • Update Warmup Settings
      • Set Warmup Status
      • Disable Warmup
    • Orders
      • Get Order Status
      • Get Order Details
      • Create Order
      • Create Order (JSON)
      • Create Mailbox Order (JSON)
      • Process Order
    • Subscriptions
      • 1+ Year Subscription
        • Recreate Subscription
      • Get Subscriptions
        GET
      • Renew Subscriptions
        POST
      • Cancel Subscription
        POST
      • Toggle Auto-Renewal
        POST
    • Exports
      • Platform Exports
        • Get Platform Credentials
        • Add Platform Credential
        • Export Mailboxes to Platform
        • Remove Platform Credential
      • OAuth Exports
        • Perform OAuth
        • Add Client ID to Domains
    • Pre-Warmup
      • Sandbox
        • Get Sandbox Pre-warmup Domains
        • Order Sandbox Pre-warmup
        • Reset Sandbox Pre-warmup
      • Get Pre-warmup Domains
      • Order Pre-warmup
    • Placement Test
      • Create Placement Order
      • Get Placement Reports
  • Resources
    • Errors
    • Rate Limits
    • Pagination
    • Sandbox
    • MCP
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Mailbox Events
      • Subscription Events
      • Prewarmup Events
      • Mailbox Warmup Events
  • Schemas
    • Error
    • Success
    • MessageResponse
    • User
    • Domain
    • ErrorResponse
    • Mailbox
    • Subscription
    • DnsRecord
    • Error Response
    • Pagination Meta
    • Action Error Response
    • PrewarmupOrderResult
    • OrderCreationResult
  1. Subscriptions

Get Subscriptions

GET
/subscriptions
Returns a paginated list of subscriptions with optional filtering.
Filter by subscription ID, domain, status, or date range.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Responses

🟢200Success
application/json
Subscriptions fetched successfully
Bodyapplication/json

🟠400Bad Request — invalid pagination
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://customers.coldmailreseller.com/api/v1/integration/subscriptions?componentSubscriptionId=sub_V2M9KP3XAQZL&domain=acmecorp.com&status=undefined&startDate=2025-01-01&endDate=2025-12-31&page=1&limit=20' \
--header 'cmr-x-api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "status": 200,
    "message": "Subscriptions fetched successfully",
    "data": {
        "subscriptions": [
            {
                "subscriptionId": "sub_V2M9KP3XAQZL",
                "subscriptionStatus": "ACTIVE",
                "totalMailboxQuantity": 3,
                "billingCycle": "MONTHLY",
                "pricePerMailbox": 3.5,
                "periodStart": "2025-01-01T00:00:00.000Z",
                "periodEnd": "2025-02-01T00:00:00.000Z",
                "serviceProvider": "GOOGLE",
                "autoRenew": true,
                "userId": "H8M9JV2S9HMPYFQW393AZHQVD4XM",
                "domain": "acmecorp.com",
                "createdAt": "2025-01-01T00:00:00.000Z"
            }
        ],
        "pagination": {
            "totalSearchedCount": 42,
            "currentPage": 1,
            "nextPage": 2,
            "totalPages": 3
        }
    }
}
Modified at 2026-08-06 06:20:56
Previous
Recreate Subscription
Next
Renew Subscriptions
Built with